org.eclipse.net4j.util.om.log

## Class RollingLog.PropertiesEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.net4j.util.om.log.RollingLog.RollingLogEvent
      - - org.eclipse.net4j.util.om.log.RollingLog.PropertiesEvent

- All Implemented Interfaces:
    java.io.Serializable, IEvent
  Enclosing class:
    RollingLog

      public static final class RollingLog.PropertiesEvent
      extends RollingLog.RollingLogEvent

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RollingLog.PropertiesEvent.Type`

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesEvent(RollingLog rollingLog, RollingLog.PropertiesEvent.Type type, java.util.Properties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `formatAdditionalParameters()`
    `java.util.Properties` | `getProperties()`
    `RollingLog.PropertiesEvent.Type` | `getType()`

    - ### Methods inherited from class org.eclipse.net4j.util.om.log.RollingLog.RollingLogEvent

      `getSource`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatEventName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesEvent

          public PropertiesEvent(RollingLog rollingLog,
                                 RollingLog.PropertiesEvent.Type type,
                                 java.util.Properties properties)

  - ### Method Detail

    - #### getType

          public RollingLog.PropertiesEvent.Type getType()

    - #### getProperties

          public java.util.Properties getProperties()

    - #### formatAdditionalParameters

          protected java.lang.String formatAdditionalParameters()

      Overrides:
        `formatAdditionalParameters` in class `Event`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html